Bug 1822031 - buildah is not expanding env vars in file paths [extras-rhel-7.8/buildah]
Summary: buildah is not expanding env vars in file paths [extras-rhel-7.8/buildah]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: buildah
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jindrich Novy
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1810069 1822207
TreeView+ depends on / blocked
 
Reported: 2020-04-08 06:18 UTC by Jindrich Novy
Modified: 2020-08-18 14:07 UTC (History)
6 users (show)

Fixed In Version: buildah-1.11.6-9.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-12 19:50:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2116 None None None 2020-05-12 19:51:00 UTC

Description Jindrich Novy 2020-04-08 06:18:46 UTC
This is a tracking bug assuring the fix for [bug 1810069] gets applied in extras-rhel-7.8 branch of buildah.

Comment 4 Joy Pu 2020-04-28 14:22:26 UTC
Can reproduce this with  buildah-1.11.6-8.el7_8.x86_64. And test it with buildah-1.11.6-11.el7_8.x86_64, it is fixed. Details:

# buildah bud .
STEP 1: FROM centos
Getting image source signatures
Copying blob e6a50b627bcb done
Copying config 0d53c857b2 done
Writing manifest to image destination
Storing signatures
STEP 2: ENV foo=oo
STEP 3: ADD ./f${foo} /tmp/foo
error building at STEP "ADD ./f${foo} /tmp/foo": no files found matching "/root/foo": no such file or directory

Although the build failed with no such file as I didn't touch a file with Dockerfile, but the file name is correctly as expect.

So set this to verified.

Comment 6 errata-xmlrpc 2020-05-12 19:50:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2116


Note You need to log in before you can comment on or make changes to this bug.